#
# spec file for package gtg
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gtg
Version:        0.3.1
Release:        lp150.2.2
Summary:        Personal Organizer for GNOME
License:        GPL-3.0+
Group:          Productivity/Office/Organizers
Url:            http://gtgnome.net/
Source0:        http://launchpad.net/gtg/trunk/%{version}/+download/%{name}-%{version}.tar.gz
Source1:        gtg.appdata.xml
# PATCH-FIX-UPSTREAM gtg-fix-pynotify-crash.patch luc14n0@linuxmail.org -- Fix crashing due to the lack of python-notify installation (lp#1264846).
Patch0:         gtg-fix-pynotify-crash.patch
BuildRequires:  dbus-1
# dbus-1 is only required for file ownerships
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-gobject2
BuildRequires:  python-gtk
BuildRequires:  update-desktop-files
Requires:       python-configobj
Requires:       python-gobject2
Requires:       python-gtk
Requires:       python-liblarch >= 2.1
Requires:       python-liblarch_gtk >= 2.1
Requires:       python-notify
Requires:       python-xdg
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%py_requires

%description
Getting Things GNOME! (GTG) is a personal organizer for the GNOME desktop
environment inspired by the Getting Things Done (GTD) methodology. GTG is
designed with flexibility, adaptability, and ease of use in mind so it can be
used as more than just GTD software.

GTG is intended to help you track everything you need to do and need to know,
from small tasks to large projects.

%lang_package
%prep
%setup -q
%patch0 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot}
%find_lang %{name} %{?no_lang_C}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable
mv %{buildroot}%{_datadir}/icons/hicolor/svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
# We don't ship any other icons in those icon sets.. 
rm -rf %{buildroot}%{_datadir}/icons/ubuntu-mono-{dark,light}
if [ -f %{buildroot}%{_datadir}/appdata/gtg.appdata.xml ]; then
  echo "Please remove the added gtg.appdata.xml file from the sources - the tarball installs it"
  false
else
  mkdir -p %{buildroot}%{_datadir}/appdata
  cp %{S:1} %{buildroot}%{_datadir}/appdata/
fi

%suse_update_desktop_file %{name}
%fdupes -s %{buildroot}

%clean
rm -rf %{buildroot}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-, root, root)
%doc AUTHORS LICENSE CHANGELOG README
%doc %{_datadir}/help/C/gtg/
%{_bindir}/gtcli
%{_bindir}/gtg
%{_bindir}/gtg_new_task
%{python_sitelib}/GTG/
%{python_sitelib}/gtg-%{version}*.egg-info
%dir %{_datadir}/appdata
%{_datadir}/appdata/gtg.appdata.xml
%{_datadir}/applications/gtg.desktop
%{_datadir}/gtg/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/dbus-1/services/org.gnome.GTG.service
%{_mandir}/man1/gtcli.1%{?ext_man}
%{_mandir}/man1/gtg.1%{?ext_man}
%{_mandir}/man1/gtg_new_task.1%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Sun Mar 18 2018 luc14n0@linuxmail.org
- Add gtg-fix-pynotify-crash.patch and python-notify Requires to
  fix a crashing due to the lack of installed python-notify
  (lp#1264846).
* Mon May 18 2015 fcrozat@suse.com
- Update url field in specfile.
* Sun Oct 19 2014 dimstar@opensuse.org
- Add gtg.appdata.xml: allow GTG to show up as an application in
  gnome-software (installation will abort when upstream ships the
  file).
* Tue Nov 26 2013 dimstar@opensuse.org
- Update to version 0.3.1:
  + Added command "gtcli overview".
  + Pep8ification of code.
  + System level global shortcut key for quick adding task.
  + Refactor Bugzilla plugin.
  + Switch from external configobj to Python's ConfigParser.
  + Bugs fixed: lp#487582, lp#487585, lp#816356, lp#1024473,
    lp#1029342, lp#1032745, lp#1039651, lp#1043457, lp#1047753,
    lp#1062659, lp#1073607, lp#1076029, lp#1079143, lp#1090301,
    lp#1094307, lp#1095390, lp#1096622, lp#1102453, lp#1141582,
    lp#1193678, lp#1218093, lp#1236066, lp#1242083, lp#1242279,
    lp#1242384.
  + Updated translations.
- Drop gtg-Correct-handling-of-liblarch-API-1.0.patch: fixed
  upstream.
* Sat Jan 26 2013 zaitor@opensuse.org
- Add gtg-Correct-handling-of-liblarch-API-1.0.patch, gtg now
  requires a minimum of version 1,2 of python-liblarch. It not
  really needed, but users will get an informative reason as to why
  gtg does not run.
* Wed Nov  7 2012 dimstar@opensuse.org
- Update to version 0.3:
  + Performance: GTG has recovered its youth and can handle your
    many tasks way faster than before!
  + Data backup: GTG keeps several copies of your data, and it's
    now able to restore the most recent backup automatically if
    your data are corrupted.
  + Help: GTG now has many help pages providing useful
    documentation for GTG.
  + UI: we've improved our UI in several ways. The most notable
    will probably be the new tag editor, which provides an easier
    way to customize and edit tag's properties such as colors,
    icon, etc.
  + Stability: many bugs causing crashes were fixed
  + Various other fixes:
  - Updated and improved plugins: notification area icon, urgency
    color, export, ...
  - Improved Quick Add Toolbar, with more features and flags for
    you geeks.
  - Improved command line clients
  - Saner handling of due dates constraints.
  + Updated translations.
* Wed Feb 15 2012 dimstar@opensuse.org
- Update to version 0.2.9:
  + Big refractorization of code, now using liblarch
  + Extended backend system to support multiple backends
  + Backend GUI configuration
  + Backends:
  - Added Mantis Bug Tracker backend
  - Added Tomboy/Gnote backend
  - Added Launchpad backend
  - Added Twitter/Identica backend
  + Graphical crash handler
  + Command line tool based on DBus interface of GTG
  + Added search feature
  + Rewritten notification area plugin with showing only 10 most
    doable tasks from Workview
  + Setting start/due date by a right click menu in the task
    browser
  + Right click behaviour in the task treeview is now consistant
    with other GNOME applications
  + Rework of deleting dialog
  + Previewing task content (gmail-like-ui) [lp#384049]
  + Attaching file to a task by drag-and-dropping it on the task or
    writing file:// URI
  + Added script for anonymizing task files
  + "Sexy" export template
  + DBus API is now CamelCase
  + Fuzzy date "Later" was renamed to "Someday"
  + Daily backup of gtg_tasks.xml
  + Save perferences, window positions and statuses immediately
    after a change
  + Fixed crash traceback when pressing 'delete' key
  + Fixed url autolinking for http(s) schemes
  + Underscore characters in tasks not treated as accelerators
    [lp#676088]
  + Fixed several bugs about hamster integration
  + Added link to web documentation in Help menu
  + Fixed bug with data consistency lp#579189 (empty tags.xml)
  + Added samba bugzilla to the bugzilla plugin
  + Fixed lp#532392, a start date is later than a due date
  + support for gtg:// URIs
  + Fixed lp#584667, indicating missing plugin dependencies
  + Add a new tag dialog keeps the previous value
  + Added keyword bko for recognizing and linking KDE bugs
  + Several usability improvements
  + Several code refratorings
- Drop gtg-hamster-plugin-not-starting-tracking-tasks.patch: GTG
  received a complete rewrite, thus the patch no longer applies.
- Add python-liblarch and python-liblarch_gtk Requires, following
  upstream code changes.
- Remove obsolete openSUSE Version checkes (up to 11.3).
* Fri Dec  2 2011 dimstar@opensuse.org
- Update to version 0.2.5:
  + Ability to downgrade data from development, future GTG 0.3 code
- Update license tag to spdx identifier (GPL-3.0+)
* Mon Sep 26 2011 andrea.turrini@gmail.com
- Fixed typo in gtg.spec
* Wed Mar 30 2011 malcolmlewis@opensuse.org
- Add: gtg-hamster-plugin-not-starting-tracking-tasks.patch: After
  activating the Hamster (Time Tracking) Plugin in GTG, nothing
  happens (bnc#683748).
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Mon Jun 21 2010 dimstar@opensuse.org
- Update to version 0.2.4:
  + Several bugfixes and polishing.
* Fri Jun  4 2010 vuntz@opensuse.org
- Fix python-xdg Requires (it was python-pyxdg).
* Wed Mar  3 2010 dimstar@opensuse.org
- Update to version 0.2.3:
  + Removal of disabled widgets.
* Mon Mar  1 2010 dimstar@opensuse.org
- Update to version 0.2.2:
  + Autostart on login
  + Preferences dialog
  + Send task by mail plugin
  + Import_json plugin
  + lp#520427: Improve RTM plugin: don't sync tasks from archived
    lists
  + Automatic cleanup of closed task, plugin
  + Allow to change dismissed date of tasks
  + Docky applet support
  + lp#502111: Allow to change closed date of tasks
  + notification area plugin updated to support appindicate
  + gtg_new task now supports command switches
  + lp#511651: white space around title
  + Expanded CLI to gtg to support task descriptions
  + Added a guide to plugins
  + RTM plugin tags synchronization
  + Evolution plugin
  + Tomboy support
  + Dbus autostart
  + Notification area bug fixes
- BuildRequire dbus-1 for directory ownership.
* Tue Feb  2 2010 awafaa@opensuse.org
- Update to version 0.2.1
  + Schedule for context menu
  + Improved export feature
  + Restore closed tasks filtering by selected tag, fixes
    bug lp#498857
  + Temporary fix allowing to reset tag color
  + Added the ability to add a tag from the right click menu in
    the task browser
  + Better explanation of the "Work view" concept in documentation
  + Multiple selection
  + API clarifications
  + Cut & Paste improvements
  + Notification area plugin improvements
  + Icons reflect action availability
  + Misc. editor bug fixes
  + Misc. tag list bug fixes
* Tue Jan 19 2010 vuntz@opensuse.org
- Cleanup packaging for integration in Factory.
* Mon Dec 14 2009 awafaa@opensuse.org
- Update to version 0.2.0:
  + Bugs fixes from 0.1.9
- Changes from version 0.1.9:
  + Support non-exact ("fuzzy") due dates: 'now', 'soon', and
    'later'
  + Fixes a bug with gtk stock strings being marked as translatable
    (lp#490231)
  + When a task is deleted, all subtask are deleted as well
  + Groups for tags and subtags
  + GNOME bugzilla plugin
  + Handle tasks spatially (remember position & size)
  + Opened tasks on quit are reopened on start
  + Remove the "File" menu. We have no files, we have tasks!
  + Improve compatibility with non GNU systems
  + Close date selector widget on single click
  + The toolbar can now be hidden
  + Empty new tasks are deleted when editor is closed
  + Lot of bug fixed in the editor while playing with subtasks
  + Works well with the "text besides icon" GNOME option
  + Merge RTM plugin branch
  + i18n: fixed window title in GTG/taskbrowser/browser.py
  + Add XDG_CACHE redefinition in script/debug.sh
  + Remove unsued get_closed_date
  + Added filtering capabilities
  - Filter callbacks were added to the task browser
  - Filters were also added to the requester
  + lp#406851, incorrect behaviour marking a dismissed task as done
  + Added accelerators to the task editor
  + Plugin for integration with the Hamster Time Tracker
  + Add plugin engine
  + When GTG is already running, use DBUS to raise existing
    instance rather than failing silently
  + Refactorization and PEP8ification work
  + New keyboard bindings for 'Mark as done' and 'Dismiss' actions
  + New keyboard bindings and accelerators
  + DBus interface
  + Remove the 'Delete' button from the toolbar
  + Fix a spelling mistake in the manpage
  + Allow quickadd of capitalized date
  + Added tomboy plugin
  + Added export function with templates
* Thu Jul  9 2009 awafaa@opensuse.org
- Update to version 0.1.2:
  + Available in 18 languages, with 12 languages being more than
    99%% translated
  + Shadows around the listview widgets
  + Fixes package dependencies
  + Tooltips for button
  + Automatically select title in task editor
  + Crash on startup with non empty LANGUAGE envvar
  + Use GNOME settings for toolbar
  + Better tag markup handling
  + No more multiple instances
  + HTTP link parsing
  + Update README
  + Update XML files sooner
  + Remember color
  + URLs can now include ';' characters. Fixes lp#360969
  + Added support for opening subtasks and links with the keyboard:
    Fixes lp#369272
  + Add polish translation
  + Title for newly created task is now selected to allow easy editing
  + Fixed some bugs in the task editor
  + lp#326388, lp#374745, lp#374745
* Mon Apr  6 2009 awafaa@opensuse.org
- Update to version 0.1.1:
  + New features:
  - New icon
  - Quickadd now accepts attributes
  - http:// links now open in the browser
  - Shortcut to show/hide sidebar (F9)
  - Some UI love for the sidebar and the tag icons, shamelessy
    copied from f-spot
  - Hotkeys goodness
  - Edit buttons
  + Bugs fixed:
  - Calendar open at the correct date
  - TaskSerial refactorization
  - Tooltips on buttons
  - First unit tests
  - Error, no crash if the XML file cannot be read
  - Fix lp#339383 (delete subtask when deleting first char)
  - Escape title in the treeview: lp#339874
  - Focus in the editor: lp#339269, lp#339195, lp#339389
  - lp#339269: Quickadd has the focus on launch
  - lp#339583, lp#336314: patches delete key and enter key to
    confirm a delete
  - Typos: lp#339268 lp#339492
* Fri Mar 13 2009 awafaa@opensuse.org
- Initial packaging (version 0.1).
